import { FeatureSystem } from '../../core/feature-system';

export class StaffSystem extends FeatureSystem {
    isOnAdminDuty(_player: PlayerMp): boolean { return false; }
    isOnDuty(_player: PlayerMp): boolean { return false; }
    isAdmin(_player: PlayerMp): boolean { return false; }
    isStaff(_player: PlayerMp): boolean { return false; }
    isPlayerSupport(_player: PlayerMp): boolean { return false; }
    isOnPlayerSupportDuty(_player: PlayerMp): boolean { return false; }
}

export const staffSystem = new StaffSystem();
